Validate hypervisor connection
- application/json
Request Body
- vendor string required
Possible values: [
NONE,VMW,MICROSOFT,XEN_SERVER,AMAZON,AZURE,REDHAT,AZURE_V2,SCVMM,NUTANIX,ORACLE_VM,DOCKER,OPENSTACK,ORACLE_CLOUD,FUSIONCOMPUTE,VCLOUD,GOOGLE_CLOUD,AZURE_STACK,ALIBABA_CLOUD,ORACLE_CLOUD_INFRASTRUCTURE,KUBERNETES,REDHAT_OPENSHIFT,MONGODB_ATLAS,PROXMOX,KUBERNETES_AKS,AZURE_STACK_HCI,KUBERNETES_EKS,MORPHEUS,KUBERNETES_GKE,KUBERNETES_OKE,NUTANIX_PRISM_CENTRAL,APACHE_CLOUDSTACK,VMWARE_CLOUD_FOUNDATION,NEXAVM,INCUS,LXD,SCALE_COMPUTING_HYPERCORE,OPEN_NEBULA] client object
id int32name stringcredential object required
id int32name stringexternalEndpoint object
id int32name string- sslValidation boolean
Default value:
true accessNodes object[]
id int32name stringvmware object
server stringvCenter server hostname
vcloud object
server stringvCloud server hostname
vcf object
server stringVCF Automation server hostname
incus object
server stringIncus server hostname
lxd object
server stringLXD server hostname
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...